#include <bits/stdc++.h>
#include <algorithm>
#include <iomanip>
int n;
int a[200000];
double p[200000];
using namespace std;
int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(0); cout.tie(0);
	cin >> n;
	for (int i = 0; i < n; i++)
	{
		cin >> a[i] >> p[i];
	}
	pair <double, int> par[200000];
	for (int i = 0; i < n; i++)
	{
		par[i] = make_pair(p[i], a[i]);
	}
	sort(par, par + n);
	for (int i = 0; i < n; i++)
	{
		a[i] = par[i].second;
		p[i] = par[i].first;
	}
	long long zbir = 0;
	double max = 0;
	cout << setprecision(13);
	for (int i = n - 1; i >= 0; i--)
	{
		zbir += a[i];
		if ((zbir * p[i] / 100) > max)
		{
			max = zbir * (p[i] / 100);
		}
	}
	cout << max;
	
	return 0;
}